package example.android.contextmenusample;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.View;
import android.view.ContextMenu.ContextMenuInfo;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class CotextMenuSampleActivity extends Activity {
    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.contextmenusample);
        
        // Xgr[ɕ\郊Xg쐬
        List<String> list = new ArrayList<String>();
        list.add("I1");
        list.add("I2");
        list.add("I3");


        // XgA_v^
        ListAdapter adapter = new ArrayAdapter<String>(this
                ,android.R.layout.simple_list_item_1
                ,list);

        // Xgr[ɃA_v^ݒ
        ListView listView = (ListView) findViewById(R.id.listview);
        listView.setAdapter(adapter);

        // ReLXgj[ɃXgr[o^
        registerForContextMenu(listView);
    }
    
    // onCreateContextMenu\bh(ReLXgj[)
    @Override
    public void onCreateContextMenu(ContextMenu menu,View v,ContextMenuInfo menuInfo) {
        // ReLXgj[
        menu.setHeaderTitle("ReLXgj[");

        menu.add("j[1");
        menu.add("j[2");
        menu.add("j[3");

        super.onCreateContextMenu(menu, v, menuInfo);
    }

    // onContextItemSelected\bh(ReLXgj[I)
    @Override
    public boolean onContextItemSelected(MenuItem item) {
        // Iꂽj[ACeeLXgr[ɕ\
        TextView textView = (TextView) findViewById(R.id.textview);
        textView.setText("ReLXgj[őI: " + item.getTitle());

        return super.onContextItemSelected(item);

    }
}