package example.android.filesample;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class FileSampleActivity extends Activity {
    // t@C
    private static final String FILE_NAME = "FileSampleFile";   

    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.filesample);
        
        // ۑ{^̃NbNXi[ݒ
        Button saveBtn = (Button)findViewById(R.id.save);
        saveBtn.setTag("save");
        saveBtn.setOnClickListener(new ButtonClickListener());
        // \{^̃NbNXi[ݒ
        Button readBtn = (Button)findViewById(R.id.display); 
        readBtn.setTag("display");
        readBtn.setOnClickListener(new ButtonClickListener());   
        // 폜{^̃NbNXi[ݒ
        Button delBtn = (Button)findViewById(R.id.delete);
        delBtn.setTag("delete");
        delBtn.setOnClickListener(new ButtonClickListener());  
    }
    
    // NbNXi[`
    class ButtonClickListener implements OnClickListener {
    	// onClick\bh({^NbNCxgnh)
    	public void onClick(View v){
    		// ^O̎擾
    		String tag = (String)v.getTag();
    		
    		// bZ[W\p
            String str  = "";
            TextView label = (TextView)findViewById(R.id.message); 
    		
    		// ۑ{^ꂽꍇ
    		if(tag.equals("save")){
    			// ͏擾
                EditText name = (EditText)findViewById(R.id.name);
                EditText score = (EditText)findViewById(R.id.score);
                
                // t@CɃf[^ۑ
                try{
                    FileOutputStream stream = openFileOutput(FILE_NAME, MODE_APPEND);
                    BufferedWriter out = new BufferedWriter(new OutputStreamWriter(stream));
                    
                    String hantei = "si";
                    if(Integer.parseInt(score.getText().toString()) >= 210){
                    	hantei = "i";
                    }
                    
                    out.write(name.getText().toString() + "," + 
                    		  score.getText().toString() + "," + 
                    		  hantei);
                    out.newLine();
                    out.close();
                    str  = "ۑ܂I";
                }catch(Exception e){
                    str  = "f[^ۑɎs܂I";
                }

    		
            // \{^ꂽꍇ
    		}else if(tag.equals("display")){
                
                // t@Cf[^擾
                try{
                    FileInputStream stream = openFileInput(FILE_NAME);
                    BufferedReader in = new BufferedReader(new InputStreamReader(stream));
                    
                    String line = "";
                    while((line = in.readLine())!=null){
                        str += line + "\n";
                    }
                    in.close();             
                }catch(Exception e){
                    str  = "f[^擾Ɏs܂I";
                }      

    			
    		// 폜{^ꂽꍇ
    		}else if(tag.endsWith("delete")){
                
    			// t@C̃f[^폜
                try{
                    deleteFile(FILE_NAME);
                    str = "폜܂I";                                
                }catch(Exception e){
                    str  = "f[^폜Ɏs܂I";
                }
    		}            
            // bZ[W\  
            label.setText(str);
    	}
    }
}