package example.android.intentsample2;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class FirstActivity extends Activity {
	// NGXgR[h`
    private static final int SHOSW_CALC = 0;

    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.firstlayout);
        
        // {^IuWFNg擾
        Button button = (Button) findViewById(R.id.nextbutton);       
        // {^IuWFNgɃNbNXi[ݒ
        button.setOnClickListener(new ButtonClickListener());
    }
    
    // NbNXi[`
    class ButtonClickListener implements OnClickListener {
        // onClick\bh({^NbNCxgnh)
        public void onClick(View v) {
            // Ceg̐(ĂяoNX̎w)
            Intent intent = new Intent(FirstActivity.this, SecondActivity.class);
            
            // ̃ANeBreB̋N
            startActivityForResult(intent, SHOSW_CALC);
        }

    }

    // onActivityResult\bh(Cʍĕ\Cxgnh)
    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        if (requestCode == SHOSW_CALC) {
            if (resultCode == RESULT_OK) {
                // Cegt擾
                Bundle extra = data.getExtras();
                // Iꂽ擾
                String selectedGreeting = extra.getString("SELECTED_GREETING");

                // eLXg{bNX̓͏擾
                EditText input = (EditText) findViewById(R.id.nametext);

                // g[Xg@\ŉʕ\
                Toast.makeText(FirstActivity.this, 
                		        selectedGreeting+"\n"+input.getText()+"",
                		        Toast.LENGTH_SHORT).show();
            }
        }
    }
}